Managing Node.js Versions

Operator: <nodejs>. Called using the <extension> operator (for details, see Managing Plesk Extensions).

Required extension: Node.js.

Plesk version: Plesk Onyx 17.0 and later

Plesk user: Administrator, customer

Description: You can enable Node.js support on the server and on a particular domain in order to run Node.js applications on a web site. For more details on using Node.js, refer to the Administrator's Guide.

Supported operations

  • VERSIONS retrieves the list of Node.js versions available on the server.
  • ENABLE enables Node.js on the server or on a domain.
  • DISABLE disables a Node.js on the server or on a domain.
  • SET-VERSION sets a particular Node.js version on a domain.
  • GET retrieves a Node.js version on a domain.

Next in this section:

Retrieving List of Node.js Versions

Enabling Node.js

Disabling Node.js

Setting Node.js Version on a Domain

Retrieving Node.js Version on a Domain